ArcGIS Server 10.3 Fails to Connect in Essentials

  • September 15, 2017 1:23 PM
    Message # 5262541
    Thomas Van Bruggen (Administrator)

    Originally posted to the Geocortex Forums and Bug Help by Trevor Floyd of St. Clair County...

    Re: 00098967: US FEMA ArcGIS Server (10.3) Fails to connect in Essentials

    Thank you for contacting Geocortex Technical Support.

    It appears the FEMA map service uses TLS 1.2. Essentials was built on the .NET 4.0 Framework which does not have any built in method to connect via TLS 1.2. Please apply the instructions outlined in the knowledge base article below and restart your server. This will force all .NET connections to use TLS 1.2.

    https://support.geocortex.com/essentialsGSCkba?id=kA360000000L14b

    See attached for the what the registry setting should look like once you're done.

    If you still need help with this then based upon our current support queue, we anticipate that this request will be assigned to an analyst within 2 business days.

    Kind Regards,

    Latitude Support

    The implementation order would be as follows -

    1) ensure all windows updates have been applied

    2) test adding the map service to see if the windows updates have corrected the issue

    3) backup the registry and/or the server before making any changes - from the tree view in regedit, select Computer (top of the tree) > File > Export

    4) add the following 2 registry settings to the Essentials server

    HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\.NETFramework\v4.0.30319\SchUseStrongCrypto

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NETFramework\v4.0.30319\SchUseStrongCrypto

       each with a DWORD value of 1

    5) restart the server and test adding the map service with https again


IMAGIN: Improving Michigan's Access to Geographic Information Networks

IMAGIN is a 501(c)3 non-profit organization with offices at 416 S. Cedar Street, Suite C, Lansing, MI 48912

Powered by Wild Apricot Membership Software